Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class EntityManagerImpl

    java.lang.Object
      org.hibernate.ejb.AbstractEntityManagerImpl
          org.hibernate.ejb.EntityManagerImpl

All Implemented Interfaces:
  java.io.Serializable, javax.persistence.EntityManager, HibernateEntityManager, HibernateEntityManagerImplementor

    public class EntityManagerImpl

extends AbstractEntityManagerImpl

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`protected boolean` | `discardOnClose`
`protected boolean` | `open`
`protected org.hibernate.Session` | `session`
`protected org.hibernate.SessionFactory` | `sessionFactory`

Fields inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`persistenceContextType, tx`

Constructor Summary
`EntityManagerImpl(org.hibernate.SessionFactory sessionFactory, javax.persistence.PersistenceContextType pcType, javax.persistence.spi.PersistenceUnitTransactionType transactionType, boolean discardOnClose, java.lang.Class sessionInterceptorClass, java.util.Map properties)`

Method Summary
`void` | `close()`
`protected org.hibernate.Session` | `getRawSession()` Return a Session (even if the entity manager is closed
`org.hibernate.Session` | `getSession()` return a Session
`boolean` | `isOpen()`

Methods inherited from class org.hibernate.ejb.AbstractEntityManagerImpl
`clear, contains, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, find, flush, getDelegate, getFlushMode, getReference, getTransaction, isTransactionInProgress, joinTransaction, lock, markAsRollback, merge, persist, postInit, refresh, remove, setFlushMode, throwPersistenceException, throwPersistenceException, wrapStaleStateException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected org.hibernate.Session session

### sessionFactory

    protected org.hibernate.SessionFactory sessionFactory

### open

    protected boolean open

### discardOnClose

    protected boolean discardOnClose

Constructor Detail

### EntityManagerImpl

    public EntityManagerImpl(org.hibernate.SessionFactory sessionFactory,
                             javax.persistence.PersistenceContextType pcType,
                             javax.persistence.spi.PersistenceUnitTransactionType transactionType,
                             boolean discardOnClose,
                             java.lang.Class sessionInterceptorClass,
                             java.util.Map properties)

Method Detail

### getSession

    public org.hibernate.Session getSession()

  Description copied from class: `AbstractEntityManagerImpl`
  return a Session

  Specified by:
    `getSession` in interface `HibernateEntityManager`
  Specified by:
    `getSession` in class `AbstractEntityManagerImpl`

### getRawSession

    protected org.hibernate.Session getRawSession()

  Description copied from class: `AbstractEntityManagerImpl`
  Return a Session (even if the entity manager is closed

  Specified by:
    `getRawSession` in class `AbstractEntityManagerImpl`

### close

    public void close()

### isOpen

    public boolean isOpen()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD